Summary: A debugger for Mono
Name:    mono-debugger
Version: 2.10
Release: 11%{?dist}
License: MIT
URL:     http://www.mono-project.com/Main_Page

Source0: http://origin-download.mono-project.com/sources/%{name}/%{name}-%{version}.tar.bz2
Patch0: mono-debugger-2.10-glib.patch

BuildRequires: readline-devel
BuildRequires: ncurses-devel
BuildRequires: mono-devel >= 2.8.1
BuildRequires: mono-nunit-devel
BuildRequires: xsp-devel
BuildRequires: autoconf automake libtool
Requires: mono-core >= 2.8.1
Provides: bundled(libiberty)

Group: Development/Tools

# Mono only available on these:
#ExclusiveArch: %%ix86 x86_64 ppc ppc64 ia64 %%{arm} sparcv9 alpha s390x
# but mono-debugger in Linux is limited to
ExclusiveArch: %ix86 x86_64

%description
A debugger is an important tool for development. The Mono 
Debugger (MDB) can debug both managed and unmanaged applications. 
It provides a reusable library that can be used to add debugger 
functionality to different frontends. The debugger package 
includes a console debugger named "mdb", and MonoDevelop 
provides a GUI interface to the debugger.

%package devel
Summary: Development files for mono-debugger
Requires: %{name} = %{version}-%{release} pkgconfig
Group: Development/Libraries

%description devel
Development package for mono-debugger

%prep
%setup -q
%patch0 -p1 -b .glib
rm -rf build/*.dll

sed -i "s#gmcs#mcs#g" configure*

# Copy something that we know got built from source.
# This doesn't end up in the package, though.
cp %{_prefix}/lib/mono/gac/Mono.Cecil/*/Mono.Cecil.dll build/

%build
%configure --disable-static --disable-dependency-tracking
# remove smp_flags - race condition
make 

%install
make DESTDIR=%{buildroot} install
find %{buildroot} -type f -name "*.la" -exec rm -f {} ';'

%postun -p /sbin/ldconfig

%post -p /sbin/ldconfig

%files
%doc AUTHORS COPYING ChangeLog README
%{_bindir}/mdb
%{_bindir}/mdb-symbol*
%{_libdir}/*.so*
%{_prefix}/lib/mono/2.0/mdb*
%{_prefix}/lib/mono/gac/Mono.Debugger/
%{_prefix}/lib/mono/gac/Mono.Debugger.SymbolWriter/
%{_prefix}/lib/mono/gac/Mono.Debugger.Frontend/
%{_prefix}/lib/mono/mono-debugger/

%files devel
%{_libdir}/pkgconfig/mono-debugger.pc
%{_libdir}/pkgconfig/mono-debugger-frontend.pc

%changelog
* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-11
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue May 19 2015 Peter Robinson <pbrobinson@fedoraproject.org> 2.10-10
- Rebuild (mono4)

* Sun Aug 17 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-9
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-8
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Mon Oct 15 2012 Jon Ciesla <limburgher@gmail.com> - 2.10-5
- Provides: bundled(libiberty)

* Fri Jul 20 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.10-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Sat Nov 12 2011 Christian Krause <chkr@fedoraproject.org> - 2.10-2
- Change paths for mono assemblies according to updated packaging
  guidelines (http://fedoraproject.org/wiki/Packaging:Mono)
- Add patch to fix glib include

* Wed Mar 30 2011 Christian Krause <chkr@fedoraproject.org> - 2.10-1
- Update to 2.10
- Minor spec file cleanup

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 2.8.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Tue Jan 11 2011 Dan Horák <dan[at]danny.cz> - 2.8.1-3
- updated the supported arch list once more

* Tue Jan 11 2011 Dan Horák <dan[at]danny.cz> - 2.8.1-2
- updated the supported arch list

* Tue Dec 07 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.8.1-1
- Update for newer mono

* Sat Oct 09 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.8-1
- Bump to 2.8

* Fri Mar 19 2010 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6.3-1
- Bump to 2.6.3 release
- Fix URL and SRC URL
- Alter BR to use 2.6.3

* Sun Dec 27 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6-4
- More x86_64 fixes

* Sun Dec 27 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6-3
- Fix mono-debugger.pc.in file for x86_64

* Wed Dec 16 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6-2
- Bump to 2.6 release
- Remove sed magic - it was overkill
- Remove smp_flags - race condition

* Sat Oct 03 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.6-1
- Bump to 2.6 preview 1

* Thu Jul 09 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4.2.1-1
- Bump to 2.4.2.1

* Mon Jun 22 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4.2-1
- Bump to 2.4.2 RC1
- Add additional archs

* Thu Mar 26 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-8
- Full 2.4 release

* Wed Mar 18 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-7.RC3
- Bump to RC3

* Tue Mar 10 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-6.RC2
- Move back to official tarballs
- Bump to RC2

* Fri Jan 29 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-5.pre1.20090129svn124665
- Update from svn
- rename to pre1

* Sat Jan 24 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-4.20090124svn124118
- Update from svn
- Changed BR to require mono-2.4

* Sat Jan 17 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-3.20090116svn123514
- Try another approach for fixing configure.in
- Removed redundant patches

* Sat Jan 17 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-2.20090116svn123514
- Fix lib64 issue in configure.in

* Fri Jan 16 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.4-1.20090116svn123514
- Move to 2.4 branch

* Fri Jan 09 2009 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-3.RC2.20090901svn122605
- bump to RC2
- use svn rather than tarballs
- Added mono-debugger-frontend and mono-debugger-frontend.pc files

* Sat Dec 06 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-2.pre2
- bump to 2.2 preview 2

* Tue Nov 25 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.2-1.pre1
- bump to 2.2 preview 1

* Fri Oct 03 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-8
- bump to RC4
- now requires xsp-devel

* Wed Sep 10 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-7
- another configure patch
- rebuild against Mono 2.0 RC 1

* Wed Aug 27 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-6
- argh!!!! fixed the configure patch file

* Wed Aug 27 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-5
- more patches and actually apply the damned things

* Tue Aug 26 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-4
- libdir fixes

* Sun Aug 17 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-3
- paul learns how to count...
- spec fixes

* Thu Aug 14 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-2
- libdir clean
- spec file fix

*  Sun Aug 03 2008 Paul F. Johnson <paul@all-the-johnsons.co.uk> 2.0-1
- bump to preview 1
- patch fixes

* Fri Apr 11 2008 Tom "spot" Callaway <tcallawa@redhat.com> - 0.60-3
- fix compile
- use system Cecil, not prebundled binary Cecil
- this thing is stupid, it needs the .so file to run, moving it to the main package

* Tue Feb 19 2008 Fedora Release Engineering <rel-eng@fedoraproject.org> - 0.60-2.2
- Autorebuild for GCC 4.3

* Wed Dec 19 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.60-1.2
- bump
- use exclusivearch instead of exclude

* Sun Dec 16 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.50-2
- url fix

* Sun Nov 18 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.50-1
- bump

* Fri Feb 16 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.31-2
- fix for faulty config (Ville Skytta)
- added addition configure flag

* Thu Feb 15 2007 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.31-1
- removed BR termcap
- bump to 0.31

* Thu Sep 07 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.30-7
- Removed FC-5 bits
- Added R mono-core to ensure correct version of mono is used

* Wed Sep 06 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.30-6
- Fixes for FC-5
- Rebuild for FC-6 mono
- Fixed ExcludeArch

* Mon Aug 28 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.30-5
- added defattr to devel
- removed the disable debug
- fixed source0

* Sun Aug 27 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.30-3
- Added configure.in patch
- Added additional BRs for above patch
- Moved README.build to the devel package

* Wed Aug 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.30-2
- Removed the mono hack
- Added pkgconfig for the devel package
- Reverted monodir in spec to libdir
- Added additional BRs to satisfy mock

* Wed Aug 16 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.30-1
- bump to new version
- Added devel package
- added clean
- changed the mono hack
- altered the BR to now use mono-devtools

* Sun Jun 04 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.12-4
- Fixed ownership problems
- Added 64 bit fix
- Added --disable-static to the configure line

* Sun Apr 23 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.12-3
- removed the static libdir
- added exclusivearchs
- added exports to fix the x86_64 problem

* Tue Apr 18 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.12-2
- libdir is now usr-lib irrespective of architecture built on
- spec file fixes and small alterations

* Sun Apr 16 2006 Paul F. Johnson <paul@all-the-johnsons.co.uk> 0.12-1
- Initial import for FE
- Spec file based roughly on the one from the mono-project guys

